*
* Get a decimal number from a string: atoi(string)
*
atoi	MOV	BX,SP		Get SP
	MOV	SI,2[BX]	Get string
* Skip any leading whitespace
?1	MOV	BL,[SI]		Get char
	INC	SI		Skip to next
	CMP	BL,#' '		Space?
	JZ	?1		Skip spaces
	CMP	BL,#9		Tab?
	JZ	?1		Skip tabs
* Handle leading '-'
	XOR	AX,AX		Begin with zero
	CMP	BL,#'-'		Minus?
	JZ	?2		Don't restore
	DEC	SI		Back to digit
* Collect the digits & generate value
?2	MOV	CL,[SI]		Get char
	SUB	CL,#'0'		Convert
	CMP	CL,#9		In range?
	JA	?3		No, its not
	INC	SI		Skip to next
	MOV	DX,AX		Copy for later
	ADD	AX,AX		AX *= 2
	ADD	AX,AX		AX *= 4
	ADD	AX,DX		AX *= 5
	ADD	AX,AX		AX *= 10
	XOR	CH,CH		Zero high
	ADD	AX,CX		Add new digit
	JMP	<?2		And proceed
* If '-' was used. convert to negative
?3	CMP	BL,#'-'		Negative?
	JNZ	?4		No, don't adjust
	NEG	AX		Convert
?4	RET
