* Set memory contents: memset(dest, value, size)
memset	MOV	BX,SP		Address stack
	MOV	DI,6[BX]	Get destination
	MOV	AX,4[BX]	Get value
	MOV	CX,2[BX]	Get size
?1	MOV	[DI],AL		Write the value
	INC	DI		Advance to next
	DEC	CX		Reduce count
	JNZ	?1		Keep going
	RET
* Copy memory contents: memcpy(dest, source, size)
memcpy	MOV	BX,SP		Address stack
	MOV	DI,6[BX]	Get destination
	MOV	SI,4[BX]	Get source
	MOV	CX,2[BX]	Get size
?2	MOV	AL,[SI]		Read a byte
	MOV	[DI],AL		Write a byte
	INC	SI		Advance source
	INC	DI		Advance dest
	DEC	CX		Reduce count
	JNZ	?2		Do all locations
	RET
