* Return ABSOLUTE VALUE of argument: int abs(int arg)
abs	MOV	BX,SP		Address stack
	MOV	AX,2[BX]	Get argument
	AND	AH,AH		Test bit
	JNS	?1		Already positive
	NEG	AX		Negate
?1	RET
* Return MAXIMUM of two arguments: int max(int arg1, int arg2)
max	MOV	BX,SP		Address stack
	MOV	AX,2[BX]	Get first argument
	CMP	AX,4[BX]	Compare with second
	JGE	?1		Already higher
?2	MOV	AX,4[BX]	Get largest
	RET
* Return MINIMUM of two arguments: int min(int arg1, int arg2)
min	MOV	BX,SP		Address stack
	MOV	AX,2[BX]	Get first argument
	CMP	AX,4[BX]	Compare with second
	JLE	?1		We have lowest
	JMP	<?2		Get smallest
* Return SQUARE ROOT of argument: int sqrt(int arg)
sqrt	MOV	SI,SP		Address stack
	MOV	BX,#256		Assumed result
	MOV	AX,2[SI]	Get argument
	CMP	AX,#255*255	Over limit
	JA	?4		Assume 256
	XOR	BX,BX		Start with zero
?3	MOV	AX,BX		Copy it
	MUL	BX		Perform multiply
	CMP	AX,2[SI]	Do we have it?
	JAE	?4		Yes, this is it
	INC	BX		Advance count
	JMP	<?3		And go again
?4	MOV	AX,BX		Get result
	RET
