*
* Write Decimal number to the coneole
*
putnum	MOV	BX,SP		Address stack
	MOV	BX,2[BX]	Get parameter
	AND	BX,BX		Test negative
	JNZ	?1		No, its OK
	MOV	AL,#'-'		Negative sign
	CALL	?putch		Output
	NEG	BX		Convert to positive
?1	MOV	AX,BX		Get value
	XOR	BL,BL		Zero LOW
	MOV	CX,#10		Divide by 10
?2	XOR	DX,DX		Zero high
	DIV	CX		Perform divide
	PUSH	DX		Save for later
	INC	BL		Advance count
	AND	AX,AX		More digits?
	JNZ	?2		Keep going
?3	POP	AX		Get value back
	ADD	AL,#'0'		Convert to ASCII
	CALL	?putch		Output
	DEC	BL		Reduce count
	JNZ	?3		Do them all
	RET
*
* Write a hexidecimal number to the console
*
puthex	MOV	BX,SP		Address stack
	MOV	AX,2[BX]	Get value
	MOV	CL,#12		Shift to 1st digit
	SHR	AX,CL		Do shift
	CALL	?4		Output digit
	MOV	AX,2[BX]	Get value
	MOV	CL,#8		Shift to 2nd digit
	SHR	AX,CL		Do shift
	CALL	?4		Output
	MOV	AX,2[BX]	Get value
	MOV	CL,#4		Shift to 3rd digit
	SHR	AX,CL		Do shift
	CALL	?4		Output
	MOV	AX,2[BX]	Get value
?4	AND	AL,#%00001111	Mask other digits
	CMP	AX,#10		In range
	JB	?5		Yes, its OK
	ADD	AL,#7		Convert for alphas
?5	ADD	AL,#'0'		Convert to ASCII
	JMP	?putch		Output
$EX:putch
